<mat-sidenav-container class="sidenav-container">
    <mat-sidenav
        #drawer
        class="sidenav"
        fixedInViewport
        [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
        [mode]="(isHandset$ | async) ? 'over' : 'side'"
        [opened]="(isHandset$ | async) === false"
    >
        <div class="logo">
            <img
                src="./../../../assets/media/logo/dark_version_horizontal.png"
                alt="Gym Helper"
            />
        </div>

        <mat-nav-list>
            <a
                mat-list-item
                routerLinkActive="active-menu"
                routerLink="/admin/"
                [routerLinkActiveOptions]="{ exact: true }"
            >
                <mat-icon>dashboard</mat-icon>
                Dashboard
            </a>
            <ng-template [canView]="[1, 4]">
                <a
                    mat-list-item
                    routerLinkActive="active-menu"
                    routerLink="/admin/exercises"
                >
                    <mat-icon svgIcon="sprite:exercise"></mat-icon>
                    Exercícios
                </a>
                <a
                    mat-list-item
                    routerLinkActive="active-menu"
                    routerLink="/admin/machines"
                >
                    <mat-icon svgIcon="sprite:machine"></mat-icon>
                    Máquinas
                </a>
            </ng-template>

            <ng-template [canView]="[1, 3, 4, 5]">
                <a
                    mat-list-item
                    routerLinkActive="active-menu"
                    routerLink="/admin/athletes"
                >
                    <mat-icon svgIcon="sprite:athlete"></mat-icon>
                    Atletas
                </a>
            </ng-template>
            <ng-template [canView]="[1, 3]">
                <a
                    mat-list-item
                    routerLinkActive="active-menu"
                    routerLink="/admin/users"
                >
                    <mat-icon>group</mat-icon>
                    Utilizadores
                </a>
            </ng-template>

            <a
                mat-list-item
                routerLinkActive="active-menu"
                routerLink="./plans"
            >
                <mat-icon>euro_symbol</mat-icon>
                Tarifas
            </a>

            <a
                mat-list-item
                routerLinkActive="active-menu"
                routerLink="/admin/profile"
            >
                <mat-icon>account_circle</mat-icon>
                Perfil
            </a>
        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
        <mat-toolbar>
            <button
                type="button"
                aria-label="Mostrar Menu"
                mat-icon-button
                (click)="drawer.toggle()"
            >
                <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
            </button>
            <span class="spacer"></span>
            <button mat-icon-button [matMenuTriggerFor]="menu">
                <app-avatar
                    [name]="user.name"
                    [photo]="user.avatar || null"
                ></app-avatar>
            </button>

            <mat-menu #menu="matMenu">
                <a routerLink="/admin/profile" mat-menu-item>
                    <mat-icon>account_circle</mat-icon>
                    <span>Perfil</span>
                </a>
                <button mat-menu-item id="logout" (click)="removeSession()">
                    <mat-icon>exit_to_app</mat-icon>
                    <span>Terminar Sessão</span>
                </button>
            </mat-menu>
        </mat-toolbar>

        <div class="content">
            <router-outlet></router-outlet>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>
